# Class LineBreakpoint

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.debug.core.model.Breakpoint
org.eclipse.debug.core.model.LineBreakpoint

All Implemented Interfaces:
  `IAdaptable, IBreakpoint, ILineBreakpoint, ITriggerPoint`

public abstract class LineBreakpoint extends Breakpoint implements ILineBreakpoint
Abstract implementation of a line breakpoint. This class is intended to be subclassed by debug model specific implementations of line breakpoints.

See Also:
  - `ILineBreakpoint`

## Field Summary

### Fields inherited from interface IBreakpoint

`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

### Fields inherited from interface ITriggerPoint

`TRIGGERPOINT`

## Constructor Summary

Constructors
Constructor
Description
`LineBreakpoint()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCharEnd()`
Returns ending source index in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.
`int`
`getCharStart()`
Returns starting source index in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.
`int`
`getLineNumber()`
Returns the line number in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.

### Methods inherited from class Breakpoint

`delete, ensureMarker, equals, getBreakpointLabel, getMarker, getMarkerRule, getMarkerRule, hashCode, isEnabled, isPersisted, isRegistered, isTriggerPoint, markerExists, run, setAttribute, setAttribute, setAttribute, setAttributes, setAttributes, setBreakpointLabel, setEnabled, setMarker, setPersisted, setRegistered, setTriggerPoint, toString`

### Methods inherited from class PlatformObject

`getAdapter`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface IAdaptable

`getAdapter`

### Methods inherited from interface IBreakpoint

`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

## Constructor Details

### LineBreakpoint

public LineBreakpoint()

## Method Details

### getLineNumber

public int getLineNumber() throws CoreException
Description copied from interface: `ILineBreakpoint`
Returns the line number in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.

Specified by:
  `getLineNumber` in interface `ILineBreakpoint`
Returns:
  this breakpoint's line number, or -1 if unknown
Throws:
  `CoreException` - if a `CoreException` is thrown while accessing the underlying `IMarker.LINE_NUMBER` marker attribute
See Also:
  - `ILineBreakpoint.getLineNumber()`

### getCharStart

public int getCharStart() throws CoreException
Description copied from interface: `ILineBreakpoint`
Returns starting source index in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.

Specified by:
  `getCharStart` in interface `ILineBreakpoint`
Returns:
  this breakpoint's char start value, or -1 if unknown
Throws:
  `CoreException` - if a `CoreException` is thrown while accessing the underlying `IMarker.CHAR_START` marker attribute
See Also:
  - `ILineBreakpoint.getCharStart()`

### getCharEnd

public int getCharEnd() throws CoreException
Description copied from interface: `ILineBreakpoint`
Returns ending source index in the original source that corresponds to the location of this breakpoint, or -1 if the attribute is not present.

Specified by:
  `getCharEnd` in interface `ILineBreakpoint`
Returns:
  this breakpoint's char end value, or -1 if unknown
Throws:
  `CoreException` - if a `CoreException` is thrown while accessing the underlying `IMarker.CHAR_END` marker attribute
See Also:
  - `ILineBreakpoint.getCharEnd()`